WebSite X5Help Center

 
Barbara L.
Barbara L.
User

Messaggio versione php non funziona  it

Autore: Barbara L.
Visite 158, Followers 1, Condiviso 0  

Dopo l'aggiornamento website mi sta creando un problema non indifferente! ho trovato una recente discussione e sono entrata nel pannello di controllo del mio gestore (aruba) ho portato a 7, la versione php ma continuo a riscontrare lo stesso messaggio in esportazione del sito! date una soluzione concreta? il sito è di uno studio e non posso e nemmeno riesco ad apportare aggiornamenti! 

grazie aspetto una risposta

Ps: in allegato il messaggio...non so proprio come risolvere la situazione!!!!!!

Postato il
10 RISPOSTE
Claudio D.
Claudio D.
Moderator
Utente del mese IT

di solito quando si cambia la versione di php ... non è super-immediato il cambiamento...

se però è passato già un po' ... mi pare strano che non lo abbiano applicato...

tieni conto che se il sito non usa il PHP e la cartella in scrittura (probabilmente è così , se non avevi problemi prima...) ... continua l'esportazione ignorando il messaggio...

senti per scrupolo Aruba per avere la certezza del cambio del php ...

la versione 5.6 come versione minima era richiesta già a partire dalla versione 17 di website , ma solo con la 2019.2 viene fatto il test...

Leggi di più
Postato il da Claudio D.
Barbara L.
Barbara L.
User
Autore

Si ma questo problema lo riscontro anche con altri siti web con altri hosting...quindi presumo sia un bug del programma! sono abbastanza in crisi anche perchè sono riuscita a salvare la situazione ma nemmeno tanto, alcune cose non vengono viste correttamente come il messaggio pubblicitario, oppure se decido di utilizzare la barra laterale per il corpo pagina e do colore trasparente me la fa vedere azzurra! Ho il sentore che se clicco ignora ed esguo ugualmente l'esportazione il sito poi funzioni in modo poco corretto.

Leggi di più
Postato il da Barbara L.
Claudio D.
Claudio D.
Moderator
Utente del mese IT

se clicchi su ignora , l'esportazione viene portata a termine a prescindere dalla riuscita del test.

e come detto prima , a meno che tu non avessi versioni antecedenti alla 17 , il PHP minimo richiesto era già il 5.6

In ogni caso puoi provare , per scrupolo , cosa che sarebbe sempre consigliata dopo un aggiornamento di versione, ad esportare su una sottocartella.

Per la barra laterale apri un altro post...

Leggi di più
Postato il da Claudio D.
Barbara L.
Barbara L.
User
Autore

Comunque ho provato e sembrerebbe tutto regolare, lascio il link del sito in questione magari date uno sguardo per confermare che non ci siano problemi?! Ve ne sarei grata :-) 

www.pilatesbresso.com 

Leggi di più
Postato il da Barbara L.
 ‪ KolAsim ‪ ‪
 ‪ KolAsim ‪ ‪
Moderator
Barbara L.
Si ma questo problema lo riscontro anche con altri siti web con altri hosting...quindi presumo sia un bug del programma! ... ... ... 

... hai controllato il pannello /admin/ ...?... >>  www.tuosito.xy/admin/

... hai verificato sul server la versione PHP in uso...?... (*)

(*) ...!... in extra server, se vuoi sapere provvisoriamente che versione PHP stai usando in questo momento, incolla nel Blocco Note di Windows questa stringa:

<?php phpinfo(); ?>

... effettua Salva Con Nome | Salva Come | Tutti i File ... NOME FILE >>  info.php

... invia questo file alla radice del sito in rete, e poi prova questo link:

www.tuosito.xy/info.php

.

... per gli altri problemi che segnali devi aprire nuovi topic dedicati individuali...

.

Leggi di più
Postato il da  ‪ KolAsim ‪ ‪
Claudio D.
Claudio D.
Moderator
Utente del mese IT

...vedo che sei su host windows...

potrebbe essere quello che genera l'errore sulla versione di PHP

...vedo anche che c'è un modulo contatto ... se quello funziona , significa che il php è OK !

...se risolto...

poi chiudi il post...

Leggi di più
Postato il da Claudio D.
Barbara L.
Barbara L.
User
Autore

Ciao a tutti, il problema non è risolto e devo dire che questa situazione mi crea altri problemi! fino a poco tempo fa funzionava tutto alla perfezione. Cosa è successo?

Leggi di più
Postato il da Barbara L.
Claudio D.
Claudio D.
Moderator
Utente del mese IT

la 2019.2 prima di esportare fa "solo" una verifica sull'host per vedere se hai una versione di PHP adeguato (la 5.6) e per vedere se hai abilitata la cartella in scrittura...

se prima non avevi questi requisiti e non avevi problemi ... in teoria non dovreste averne neppure ora , perchè la differenza tra la 2019.1 e/o la 17 con la 2019.2 è solo che viene fatto il controllo in fase di esportazione...

dando "ignora" l'esportazione va a buon fine...

1) Hai aperto un ticket con Aruba per essere certa della versione ?

2) Hai provato il test proposto da KolAsim per verificare la versione ?

3) Hai visionato il pannello /admin "website test" ... dove vengono verificato ulteriormente questi dati ?

4) A che "altri" problemi ti riferisci ?

Posta le schermate di /admin website test

e metti più dettagli possibili...

puoi anche mettere il post privato , così verrà visto solo dallo STAFF, neppure noi moderatori lo vedremo, e postare qui i dati per entrare in /admin per permettere allo STAFF , da lunedì di fare delle verifiche,...

Leggi di più
Postato il da Claudio D.
Barbara L.
Barbara L.
User
Autore

Ho fatto i test effettivamente passati tutti tranne uno! vi allego la schermata

Leggi di più
Postato il da Barbara L.
 ‪ KolAsim ‪ ‪
 ‪ KolAsim ‪ ‪
Moderator

... avresti potuto controllare quando quando fu chiesto nel mio primo post...

... comunque, ...quella segnalazione innocua serve solo per le funzioni avanzate, per la gestione dei dati raccolti attraverso elementi del Sito Web come i Moduli di Contatto, il Blog, l'Oggetto Commenti e Voti e, nel caso dell'edizione Pro, la registrazione degli Utenti per l'Area Riservata o il Carrello e-commerce.

... se non ti servono le funzioni avanzate di scrittura dati sul server, puoi ignorare l'avviso, come già precedentemente detto...

... per approfondire:

...!... se invece pensi che prima o poi farai uso delle funzioni avanzate, allora provvedi come indicato nei miei link/Guida, a predisporre e/o indicare la cartella con i permessi di scrittura ChMod(777), ...e comunque non guasterebbe farlo...!...

.

p.s. > NOTA: su Aruba server/Window la cartella abilitata in genere la indicano loro stessi, normalmente la cartella "public"; ... invece su Aruba server/Apache-Linux la cartella abilitata in genere puoi crearla tu con qualsiasi nome, per es, "public" o quello che preferisci...

.

Leggi di più
Postato il da  ‪ KolAsim ‪ ‪